grk::TileComponentCodingParams Struct Reference

Tile-component coding parameters. More...

`#include <CodingParams.h>`

## Public Member Functions

| TileComponentCodingParams ()

## Public Attributes

uint8_t | csty
| coding style
uint8_t | numresolutions
| number of resolutions
uint8_t | cblkw
| log2(code-blocks width)
uint8_t | cblkh
| log2(code-blocks height)
uint8_t | cblk_sty
| code-block mode
uint8_t | qmfbid
| discrete wavelet transform identifier
bool | quantizationMarkerSet
bool | fromQCC
bool | fromTileHeader
uint8_t | qntsty
| quantisation style
grk_stepsize | stepsizes [GRK_J2K_MAXBANDS]
| stepsizes used for quantization
uint8_t | numStepSizes
uint8_t | numgbits
| number of guard bits
uint8_t | roishift
| Region Of Interest shift.
uint32_t | precWidthExp [GRK_J2K_MAXRLVLS]
| precinct width (power of 2 exponent, < 16)
uint32_t | precHeightExp [GRK_J2K_MAXRLVLS]
| precinct height (power of 2 exponent, < 16)
int32_t | dc_level_shift_
| the dc_level_shift

## Detailed Description

Tile-component coding parameters.

## Constructor & Destructor Documentation

## TileComponentCodingParams()

grk::TileComponentCodingParams::TileComponentCodingParams | ( |  | ) |

References GRK_J2K_MAXRLVLS, grk::grk_read(), precHeightExp, and precWidthExp.

## Member Data Documentation

## cblk_sty

uint8_t grk::TileComponentCodingParams::cblk_sty

code-block mode

## cblkh

uint8_t grk::TileComponentCodingParams::cblkh

log2(code-blocks height)

## cblkw

uint8_t grk::TileComponentCodingParams::cblkw

log2(code-blocks width)

## csty

uint8_t grk::TileComponentCodingParams::csty

coding style

Referenced by grk::CodeStreamCompress::init().

## dc_level_shift_

int32_t grk::TileComponentCodingParams::dc_level_shift_

the dc_level_shift

Referenced by grk::TileProcessor::dcLevelShiftCompress().

## fromQCC

bool grk::TileComponentCodingParams::fromQCC

## fromTileHeader

bool grk::TileComponentCodingParams::fromTileHeader

## numgbits

uint8_t grk::TileComponentCodingParams::numgbits

number of guard bits

## numresolutions

uint8_t grk::TileComponentCodingParams::numresolutions

number of resolutions

Referenced by grk::CodeStreamCompress::compare_SQcd_SQcc(), grk::CodeStreamCompress::compressValidation(), grk::TileProcessor::getMaxNumDecompressResolutions(), and grk::TileComponent::init().

## numStepSizes

uint8_t grk::TileComponentCodingParams::numStepSizes

## precHeightExp

uint32_t grk::TileComponentCodingParams::precHeightExp[GRK_J2K_MAXRLVLS]

precinct height (power of 2 exponent, < 16)

Referenced by grk::TileComponent::init(), and TileComponentCodingParams().

## precWidthExp

uint32_t grk::TileComponentCodingParams::precWidthExp[GRK_J2K_MAXRLVLS]

precinct width (power of 2 exponent, < 16)

Referenced by grk::TileComponent::init(), and TileComponentCodingParams().

## qmfbid

uint8_t grk::TileComponentCodingParams::qmfbid

discrete wavelet transform identifier

Referenced by grk::TileComponent::createWindow(), grk::TileProcessor::mct_encode(), and grk::TileProcessor::mctDecompress().

## qntsty

uint8_t grk::TileComponentCodingParams::qntsty

quantisation style

## quantizationMarkerSet

bool grk::TileComponentCodingParams::quantizationMarkerSet

## roishift

uint8_t grk::TileComponentCodingParams::roishift

Region Of Interest shift.

## stepsizes

grk_stepsize grk::TileComponentCodingParams::stepsizes[GRK_J2K_MAXBANDS]

stepsizes used for quantization

The documentation for this struct was generated from the following files:

- CodingParams.h
- CodingParams.cpp